# coding: utf-8
from procu.api import models
from procu.rest import serializers


class CFOBrief(serializers.ModelSerializer):
    class Meta:
        model = models.OracleCFO
        fields = ('id', 'key', 'name')


class ProgramBrief(serializers.ModelSerializer):
    class Meta:
        model = models.OracleProgram
        fields = ('id', 'key', 'name')


class ProjectBrief(serializers.ModelSerializer):
    class Meta:
        model = models.OracleProject
        fields = ('id', 'key', 'name')


class TaskBrief(serializers.ModelSerializer):
    class Meta:
        model = models.OracleTask
        fields = ('id', 'key', 'name')


class MVPBrief(serializers.ModelSerializer):
    class Meta:
        model = models.OracleMVP
        fields = ('id', 'key', 'name')


class ServiceBrief(serializers.ModelSerializer):
    class Meta:
        model = models.OracleService
        fields = ('id', 'key', 'name')


class BudgetLineBrief(serializers.ModelSerializer):
    class Meta:
        model = models.OracleBudgetLine
        fields = ('id', 'key', 'name')


class SystemBrief(serializers.ModelSerializer):
    class Meta:
        model = models.OracleSystem
        fields = ('id', 'key', 'name')


class SubSystemBrief(serializers.ModelSerializer):
    class Meta:
        model = models.OracleSubSystem
        fields = ('id', 'key', 'name')


class PurchaseGroupBrief(serializers.ModelSerializer):
    class Meta:
        model = models.OraclePurchaseGroup
        fields = ('id', 'key', 'name')
